Subject: Re: bug#37472: 26.2; completion-kill-region breaks rectangle-mark-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2019 10:06:47 +0300

> From: Jens Lautenbacher <[email-masked]>
> Date: Sat, 21 Sep 2019 02:14:04 +0200
> 
> 
> When using dynamic completion, rectangle-mark-mode is broken, in so far
> as C-w no longer respects just killing the rectangle but instead kills
> the usual full (non-rectangular) region.
> 
> M-w on the other hand works, because it is the original function, while
> C-w is overloaded with completion-kill-region.

Why does completion.el overrides the global C-w binding?  I think it's
wrong, certainly when the new binding is incompatible with the default
one.